Patch Agent
curl --request PATCH \
--url https://api.vocalistic.ai/v1/agents/{agent_id} \
--header 'Content-Type: application/json' \
--data '
{
"creativity": 0.5,
"description": "<string>",
"greeting": "<string>",
"instructions": "<string>",
"name": "<string>",
"tools": [
{
"enabled": true,
"config": {}
}
],
"voice": "<string>"
}
'import requests
url = "https://api.vocalistic.ai/v1/agents/{agent_id}"
payload = {
"creativity": 0.5,
"description": "<string>",
"greeting": "<string>",
"instructions": "<string>",
"name": "<string>",
"tools": [
{
"enabled": True,
"config": {}
}
],
"voice": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
creativity: 0.5,
description: '<string>',
greeting: '<string>',
instructions: '<string>',
name: '<string>',
tools: [{enabled: true, config: {}}],
voice: '<string>'
})
};
fetch('https://api.vocalistic.ai/v1/agents/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vocalistic.ai/v1/agents/{agent_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'creativity' => 0.5,
'description' => '<string>',
'greeting' => '<string>',
'instructions' => '<string>',
'name' => '<string>',
'tools' => [
[
'enabled' => true,
'config' => [
]
]
],
'voice' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.vocalistic.ai/v1/agents/{agent_id}"
payload := strings.NewReader("{\n \"creativity\": 0.5,\n \"description\": \"<string>\",\n \"greeting\": \"<string>\",\n \"instructions\": \"<string>\",\n \"name\": \"<string>\",\n \"tools\": [\n {\n \"enabled\": true,\n \"config\": {}\n }\n ],\n \"voice\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.vocalistic.ai/v1/agents/{agent_id}")
.header("Content-Type", "application/json")
.body("{\n \"creativity\": 0.5,\n \"description\": \"<string>\",\n \"greeting\": \"<string>\",\n \"instructions\": \"<string>\",\n \"name\": \"<string>\",\n \"tools\": [\n {\n \"enabled\": true,\n \"config\": {}\n }\n ],\n \"voice\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vocalistic.ai/v1/agents/{agent_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"creativity\": 0.5,\n \"description\": \"<string>\",\n \"greeting\": \"<string>\",\n \"instructions\": \"<string>\",\n \"name\": \"<string>\",\n \"tools\": [\n {\n \"enabled\": true,\n \"config\": {}\n }\n ],\n \"voice\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"created_at": "2023-11-07T05:31:56Z",
"creativity": 123,
"description": "<string>",
"greeting": "<string>",
"has_webhook_secret": true,
"id": "<string>",
"instructions": "<string>",
"knowledge": [
{
"bytes": 123,
"chars": 123,
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"kind": "<string>",
"mime": "<string>",
"name": "<string>"
}
],
"language": "<string>",
"max_reply_chars": 123,
"name": "<string>",
"status": "<string>",
"tools": [
{
"config": {},
"enabled": true,
"id": "<string>"
}
],
"updated_at": "2023-11-07T05:31:56Z",
"voice": "<string>"
}Agents
Patch Agent
PATCH
/
v1
/
agents
/
{agent_id}
Patch Agent
curl --request PATCH \
--url https://api.vocalistic.ai/v1/agents/{agent_id} \
--header 'Content-Type: application/json' \
--data '
{
"creativity": 0.5,
"description": "<string>",
"greeting": "<string>",
"instructions": "<string>",
"name": "<string>",
"tools": [
{
"enabled": true,
"config": {}
}
],
"voice": "<string>"
}
'import requests
url = "https://api.vocalistic.ai/v1/agents/{agent_id}"
payload = {
"creativity": 0.5,
"description": "<string>",
"greeting": "<string>",
"instructions": "<string>",
"name": "<string>",
"tools": [
{
"enabled": True,
"config": {}
}
],
"voice": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
creativity: 0.5,
description: '<string>',
greeting: '<string>',
instructions: '<string>',
name: '<string>',
tools: [{enabled: true, config: {}}],
voice: '<string>'
})
};
fetch('https://api.vocalistic.ai/v1/agents/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vocalistic.ai/v1/agents/{agent_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'creativity' => 0.5,
'description' => '<string>',
'greeting' => '<string>',
'instructions' => '<string>',
'name' => '<string>',
'tools' => [
[
'enabled' => true,
'config' => [
]
]
],
'voice' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.vocalistic.ai/v1/agents/{agent_id}"
payload := strings.NewReader("{\n \"creativity\": 0.5,\n \"description\": \"<string>\",\n \"greeting\": \"<string>\",\n \"instructions\": \"<string>\",\n \"name\": \"<string>\",\n \"tools\": [\n {\n \"enabled\": true,\n \"config\": {}\n }\n ],\n \"voice\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.vocalistic.ai/v1/agents/{agent_id}")
.header("Content-Type", "application/json")
.body("{\n \"creativity\": 0.5,\n \"description\": \"<string>\",\n \"greeting\": \"<string>\",\n \"instructions\": \"<string>\",\n \"name\": \"<string>\",\n \"tools\": [\n {\n \"enabled\": true,\n \"config\": {}\n }\n ],\n \"voice\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vocalistic.ai/v1/agents/{agent_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"creativity\": 0.5,\n \"description\": \"<string>\",\n \"greeting\": \"<string>\",\n \"instructions\": \"<string>\",\n \"name\": \"<string>\",\n \"tools\": [\n {\n \"enabled\": true,\n \"config\": {}\n }\n ],\n \"voice\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"created_at": "2023-11-07T05:31:56Z",
"creativity": 123,
"description": "<string>",
"greeting": "<string>",
"has_webhook_secret": true,
"id": "<string>",
"instructions": "<string>",
"knowledge": [
{
"bytes": 123,
"chars": 123,
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"kind": "<string>",
"mime": "<string>",
"name": "<string>"
}
],
"language": "<string>",
"max_reply_chars": 123,
"name": "<string>",
"status": "<string>",
"tools": [
{
"config": {},
"enabled": true,
"id": "<string>"
}
],
"updated_at": "2023-11-07T05:31:56Z",
"voice": "<string>"
}Path Parameters
Maximum string length:
64Pattern:
^[A-Za-z0-9_\-]+$Body
application/json
Required range:
0 <= x <= 1Maximum string length:
240Maximum string length:
300Maximum string length:
8000Available options:
yo, pcm, ha, ig, en-NG Available options:
160, 320, 600 Required string length:
1 - 80Available options:
draft, live Show child attributes
Show child attributes
Response
200 - application/json
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes